MODULE par_sms
!!======================================================================
!!
!!                         PARAMETER SMS
!!                       *******************************
!!
!!  purpose :
!!  ---------
!!     PARAMETER FILE for biogeochemical model
!!
!!======================================================================
!!  TOP 1.0,  LOCEAN-IPSL (2005)
!! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
!!----------------------------------------------------------------------
#if defined key_top
   IMPLICIT NONE
   PUBLIC
!!
!!    ASSIGN AN INTEGER TO NAME INDIVIDUAL TRACERS.
!!    FOR THE DGOM, THE TRACERS SHOULD BE IN THE ORDER:
!!    chemical tracers, detritus, zooplankton,
!!    nutrients, phytoplankton (C,Fe,Chl,Si), isotopes
!!    For documentation of variables see:
!!    http://lgmacweb.env.uea.ac.uk/green_ocean/model/code_description/var_dgom.html
      INTEGER, PUBLIC, PARAMETER :: jppft=6
      INTEGER, PUBLIC, PARAMETER :: jptal=1,jpoxy=2,jpcal=3
      INTEGER, PUBLIC, PARAMETER :: jpdoc=4,jppoc=5,jpgoc=6,jpsfe=7,jpbfe=8,jpdsi=9

      INTEGER, PUBLIC, PARAMETER :: jpdic=10,jpno3=11,jpnh4=12,jppo4=13,jpfer=14,jpsil=15
      INTEGER, PUBLIC, PARAMETER :: jpmic=16,jpmes=17,jpmac=18
      INTEGER, PUBLIC, PARAMETER :: jpdia=19,jpmix=20,jpcoc=21,jppic=22,jppha=23,jpfix=24
      INTEGER, PUBLIC, PARAMETER :: jpdfe=25,jpnfe=26,jpcfe=27,jppfe=28,jphfe=29,jpffe=30
      INTEGER, PUBLIC, PARAMETER :: jpdch=31,jpnch=32,jpcch=33,jppch=34,jphch=35,jpfch=36
      INTEGER, PUBLIC, PARAMETER :: jpbsi=37,jpbac=38
      INTEGER, PUBLIC, PARAMETER :: jpn2o=39,jpn2s=40,jpn2n=41,jpn2b=42
      INTEGER, PUBLIC, PARAMETER :: jpn2a=43,jpn2c=44,jpn2d=45,jpn2e=46
#endif
END MODULE par_sms
